# &kde;-gebruikershandleiding

2008-10-03
0.01.01
meinproc4
8

# `meinproc4`

&kde; vertaler voor XML

## Samenvatting

    meinproc4 --help Algemene-opties Qt-opties KDE-opties --cache bestand --check --htdig --srcdir --param key=waarde   -o --output   bestand  --stdout --stylesheet xsl docbook_file

## Beschrijving

`meinproc4` converteert DocBook-bestanden naar HTML.

## Algemene opties

`--author`

  Auteurinformatie tonen.

`--help`

  Hulp over de opties tonen.

`--help-all`

  Alle opties tonen.

`--help-kde`

  KDE-specifieke opties tonen.

`--help-qt`

  Qt-specifieke opties tonen.

`--license`

  Licentie-informatie tonen.

`-v``--version`

  Versie-informatie tonen

## Programmaopties

`--cache` `bestand`

  Bufferbestand aanmaken voor het document

`--check`

  Geldigheid van het document controleren

      De uitvoer kan enigszins uitdagend zijn, omdat één kleine fout een waterval van fouten kan veroorzaken.
      De truc is om naar de eerste fout te kijken, die verbeteren, het bestand opslaan en meinproc4 opnieuw uitvoeren.

`--htdig`

  Een ht://dig-compatible index aanmaken

`-o`, `--output` `bestand`

  Gehele document uitvoeren naar `bestand`.

`--stdout`

  Gehele document uitvoeren naar stdout.

`--stylesheet` `xsl`

  Te gebruiken stijlblad

`--srcdir` `map`

  Stel de hoofdmap in om te zoeken naar kdelibs

`--param` key=waarde

  Stel parameters in om door te geven aan het stijlblad.

## Gebruik

De meest gewone manier om `meinproc4` uit te voeren is gewoon als

    meinproc4 docbook-bestand

waar docbook-bestand meestal index.docbook is. Dit commando maakt HTML-pagina's aan uit het DocBook-bestand. Opmerking: deze pagina's zijn alleen in te zien in de op KDE gebaseerde browsers (zoals Konqueror).

Als u de HTML-uitvoer in een andere browser wilt zien (bijvoorbeeld, als u het online zet), gebruik dan

    meinproc4 --stylesheet stylesheet-naam docbook-bestand

waar stylesheet-naam het volledige pad is naar een van de XSL-stijlbladen in $KDEDIR/share/apps/ksgmltools/customization. Om uitvoer te maken dat geschikt is voor het web, kunt u het commando `kde-web.xsl` of `kde-chunk-online.xsl` gebruiken. Zie het bestand README in die map voor meer details.

## Zie ook

kdeopties(7), qtopties(7)

## Fouten/bugs

Er zijn waarschijnlijk vele bugs. Gebruik bugs.kde.org om ze te rapporteren.